typedef struct {
	char*	symbol;
	unsigned int	addr;
} symbol_t;

static char _AllocateKernelMemory_string[] = "_AllocateKernelMemory";
static char _AllocateMemoryRange_string[] = "_AllocateMemoryRange";
static char _BeFSGetDescription_string[] = "_BeFSGetDescription";
static char _BeFSProbe_string[] = "_BeFSProbe";
static char _BinaryUnicodeCompare_string[] = "_BinaryUnicodeCompare";
static char _CacheInit_string[] = "_CacheInit";
static char _CacheRead_string[] = "_CacheRead";
static char _CacheReset_string[] = "_CacheReset";
static char _CreateUUIDString_string[] = "_CreateUUIDString";
static char _DT__AddChild_string[] = "_DT__AddChild";
static char _DT__AddProperty_string[] = "_DT__AddProperty";
static char _DT__Finalize_string[] = "_DT__Finalize";
static char _DT__FindNode_string[] = "_DT__FindNode";
static char _DT__FlattenDeviceTree_string[] = "_DT__FlattenDeviceTree";
static char _DT__FreeNode_string[] = "_DT__FreeNode";
static char _DT__FreeProperty_string[] = "_DT__FreeProperty";
static char _DT__GetName_string[] = "_DT__GetName";
static char _DT__Initialize_string[] = "_DT__Initialize";
static char _DecodeKernel_string[] = "_DecodeKernel";
static char _DecodeMachO_string[] = "_DecodeMachO";
static char _EX2GetDescription_string[] = "_EX2GetDescription";
static char _EX2Probe_string[] = "_EX2Probe";
static char _EXFATGetDescription_string[] = "_EXFATGetDescription";
static char _EXFATGetUUID_string[] = "_EXFATGetUUID";
static char _EXFATProbe_string[] = "_EXFATProbe";
static char _FastRelString_string[] = "_FastRelString";
static char _FastUnicodeCompare_string[] = "_FastUnicodeCompare";
static char _FileLoadBundles_string[] = "_FileLoadBundles";
static char _FileLoadDrivers_string[] = "_FileLoadDrivers";
static char _FindAcpiTables_string[] = "_FindAcpiTables";
static char _FreeBSDGetDescription_string[] = "_FreeBSDGetDescription";
static char _FreeBSDProbe_string[] = "_FreeBSDProbe";
static char _GPT_BASICDATA2_GUID_string[] = "_GPT_BASICDATA2_GUID";
static char _GPT_BASICDATA_GUID_string[] = "_GPT_BASICDATA_GUID";
static char _GPT_BOOT_GUID_string[] = "_GPT_BOOT_GUID";
static char _GPT_EFISYS_GUID_string[] = "_GPT_EFISYS_GUID";
static char _GPT_HFS_GUID_string[] = "_GPT_HFS_GUID";
static char _Gdt_string[] = "_Gdt";
static char _Gdtr_string[] = "_Gdtr";
static char _GetBundleDict_string[] = "_GetBundleDict";
static char _GetBundlePath_string[] = "_GetBundlePath";
static char _GetBundlePersonality_string[] = "_GetBundlePersonality";
static char _GetChecksum_string[] = "_GetChecksum";
static char _GetDirEntry_string[] = "_GetDirEntry";
static char _GetFileInfo_string[] = "_GetFileInfo";
static char _GetgPlatformName_string[] = "_GetgPlatformName";
static char _GetgRootDevice_string[] = "_GetgRootDevice";
static char _Getgboardproduct_string[] = "_Getgboardproduct";
static char _HFSFree_string[] = "_HFSFree";
static char _HFSGetDescription_string[] = "_HFSGetDescription";
static char _HFSGetDirEntry_string[] = "_HFSGetDirEntry";
static char _HFSGetFileBlock_string[] = "_HFSGetFileBlock";
static char _HFSGetUUID_string[] = "_HFSGetUUID";
static char _HFSInitPartition_string[] = "_HFSInitPartition";
static char _HFSLoadFile_string[] = "_HFSLoadFile";
static char _HFSProbe_string[] = "_HFSProbe";
static char _HFSReadFile_string[] = "_HFSReadFile";
static char _Idtr_prot_string[] = "_Idtr_prot";
static char _Idtr_real_string[] = "_Idtr_real";
static char _InitBootPrompt_string[] = "_InitBootPrompt";
static char _InitBundleSupport_string[] = "_InitBundleSupport";
static char _InitDriverSupport_string[] = "_InitDriverSupport";
static char _LoadBundlePList_string[] = "_LoadBundlePList";
static char _LoadBundles_string[] = "_LoadBundles";
static char _LoadDriverMKext_string[] = "_LoadDriverMKext";
static char _LoadDriverPList_string[] = "_LoadDriverPList";
static char _LoadDrivers_string[] = "_LoadDrivers";
static char _LoadFile_string[] = "_LoadFile";
static char _LoadMatchedBundles_string[] = "_LoadMatchedBundles";
static char _LoadMatchedModules_string[] = "_LoadMatchedModules";
static char _LoadThinFatFile_string[] = "_LoadThinFatFile";
static char _LoadVolumeFile_string[] = "_LoadVolumeFile";
static char _MD5Final_string[] = "_MD5Final";
static char _MD5Init_string[] = "_MD5Init";
static char _MD5Update_string[] = "_MD5Update";
static char _MSDOSFree_string[] = "_MSDOSFree";
static char _MSDOSGetDescription_string[] = "_MSDOSGetDescription";
static char _MSDOSGetDirEntry_string[] = "_MSDOSGetDirEntry";
static char _MSDOSGetFileBlock_string[] = "_MSDOSGetFileBlock";
static char _MSDOSGetUUID_string[] = "_MSDOSGetUUID";
static char _MSDOSInitPartition_string[] = "_MSDOSInitPartition";
static char _MSDOSLoadFile_string[] = "_MSDOSLoadFile";
static char _MSDOSProbe_string[] = "_MSDOSProbe";
static char _MSDOSReadFile_string[] = "_MSDOSReadFile";
static char _MatchBundlesLibraries_string[] = "_MatchBundlesLibraries";
static char _MatchLibraries_string[] = "_MatchLibraries";
static char _NTFSGetDescription_string[] = "_NTFSGetDescription";
static char _NTFSGetUUID_string[] = "_NTFSGetUUID";
static char _NTFSProbe_string[] = "_NTFSProbe";
static char _OpenBSDGetDescription_string[] = "_OpenBSDGetDescription";
static char _OpenBSDProbe_string[] = "_OpenBSDProbe";
static char _ParseXMLFile_string[] = "_ParseXMLFile";
static char _Register_Acpi_Efi_string[] = "_Register_Acpi_Efi";
static char _Register_Smbios_Efi_string[] = "_Register_Smbios_Efi";
static char _SetgPlatformName_string[] = "_SetgPlatformName";
static char _SetgRootDevice_string[] = "_SetgRootDevice";
static char _Setgboardproduct_string[] = "_Setgboardproduct";
static char _ThinFatFile_string[] = "_ThinFatFile";
static char _XMLCastArray_string[] = "_XMLCastArray";
static char _XMLCastBoolean_string[] = "_XMLCastBoolean";
static char _XMLCastDict_string[] = "_XMLCastDict";
static char _XMLCastInteger_string[] = "_XMLCastInteger";
static char _XMLCastString_string[] = "_XMLCastString";
static char _XMLCastStringOffset_string[] = "_XMLCastStringOffset";
static char _XMLDecode_string[] = "_XMLDecode";
static char _XMLFreeTag_string[] = "_XMLFreeTag";
static char _XMLGetElement_string[] = "_XMLGetElement";
static char _XMLGetProperty_string[] = "_XMLGetProperty";
static char _XMLIsType_string[] = "_XMLIsType";
static char _XMLParseFile_string[] = "_XMLParseFile";
static char _XMLParseNextTag_string[] = "_XMLParseNextTag";
static char _XMLTagCount_string[] = "_XMLTagCount";
static char __DATA__bss__begin_string[] = "__DATA__bss__begin";
static char __DATA__bss__end_string[] = "__DATA__bss__end";
static char __DATA__common__begin_string[] = "__DATA__common__begin";
static char __DATA__common__end_string[] = "__DATA__common__end";
static char ___bzero_string[] = "___bzero";
static char ___convertImage_string[] = "___convertImage";
static char ___decodeRLE_string[] = "___decodeRLE";
static char ___divdi3_string[] = "___divdi3";
static char ___doprnt_string[] = "___doprnt";
static char ___drawColorRectangle_string[] = "___drawColorRectangle";
static char ___drawDataRectangle_string[] = "___drawDataRectangle";
static char ___getNumberArrayFromProperty_string[] = "___getNumberArrayFromProperty";
static char ___getVESAModeWithProperties_string[] = "___getVESAModeWithProperties";
static char ___moddi3_string[] = "___moddi3";
static char ___qdivrem_string[] = "___qdivrem";
static char ___setVESAGraphicsMode_string[] = "___setVESAGraphicsMode";
static char ___setVideoMode_string[] = "___setVideoMode";
static char ___udivdi3_string[] = "___udivdi3";
static char ___umoddi3_string[] = "___umoddi3";
static char __bp_string[] = "__bp";
static char __doprnt_truncates_string[] = "__doprnt_truncates";
static char __hi_malloc_string[] = "__hi_malloc";
static char __hi_strdup_string[] = "__hi_strdup";
static char __prot_to_real_string[] = "__prot_to_real";
static char __real_to_prot_string[] = "__real_to_prot";
static char __sp_string[] = "__sp";
static char __switch_stack_string[] = "__switch_stack";
static char _addBootArg_string[] = "_addBootArg";
static char _addConfigurationTable_string[] = "_addConfigurationTable";
static char _add_symbol_string[] = "_add_symbol";
static char _adler32_string[] = "_adler32";
static char _arc4_init_string[] = "_arc4_init";
static char _arc4random_string[] = "_arc4random";
static char _arc4random_addrandom_string[] = "_arc4random_addrandom";
static char _arc4random_buf_string[] = "_arc4random_buf";
static char _arc4random_stir_string[] = "_arc4random_stir";
static char _arc4random_uniform_string[] = "_arc4random_uniform";
static char _atoi_string[] = "_atoi";
static char _bcopy_string[] = "_bcopy";
static char _bcopy16_string[] = "_bcopy16";
static char _bcopy_no_overwrite_string[] = "_bcopy_no_overwrite";
static char _bgetc_string[] = "_bgetc";
static char _bind_location_string[] = "_bind_location";
static char _bind_macho_string[] = "_bind_macho";
static char _bios_string[] = "_bios";
static char _biosDevIsCDROM_string[] = "_biosDevIsCDROM";
static char _biosread_string[] = "_biosread";
static char _boot_string[] = "_boot";
static char _bootArgs_string[] = "_bootArgs";
static char _bootArgsLegacy_string[] = "_bootArgsLegacy";
static char _bootInfo_string[] = "_bootInfo";
static char _bsearch_string[] = "_bsearch";
static char _build_pci_dt_string[] = "_build_pci_dt";
static char _bzero_string[] = "_bzero";
static char _chainLoad_string[] = "_chainLoad";
static char _chainbootdev_string[] = "_chainbootdev";
static char _chainbootflag_string[] = "_chainbootflag";
static char _checksum8_string[] = "_checksum8";
static char _clearBootArgs_string[] = "_clearBootArgs";
static char _clearScreenRows_string[] = "_clearScreenRows";
static char _close_string[] = "_close";
static char _common_boot_string[] = "_common_boot";
static char _continue_at_low_address_string[] = "_continue_at_low_address";
static char _convertHexStr2Binary_string[] = "_convertHexStr2Binary";
static char _copyArgument_string[] = "_copyArgument";
static char _copyMultibootInfo_string[] = "_copyMultibootInfo";
static char _crc32_string[] = "_crc32";
static char _debug_putc_string[] = "_debug_putc";
static char _decompress_lzss_string[] = "_decompress_lzss";
static char _delay_string[] = "_delay";
static char _determine_safe_hi_addr_string[] = "_determine_safe_hi_addr";
static char _devprop_add_device_string[] = "_devprop_add_device";
static char _devprop_add_value_string[] = "_devprop_add_value";
static char _devprop_create_string_string[] = "_devprop_create_string";
static char _devprop_free_string_string[] = "_devprop_free_string";
static char _devprop_generate_string_string[] = "_devprop_generate_string";
static char _devprop_make_device_string[] = "_devprop_make_device";
static char _diskFreeMap_string[] = "_diskFreeMap";
static char _diskIsCDROM_string[] = "_diskIsCDROM";
static char _diskRead_string[] = "_diskRead";
static char _diskResetBootVolumes_string[] = "_diskResetBootVolumes";
static char _diskScanBootVolumes_string[] = "_diskScanBootVolumes";
static char _diskSeek_string[] = "_diskSeek";
static char _dump_pci_dt_string[] = "_dump_pci_dt";
static char _ebiosEjectMedia_string[] = "_ebiosEjectMedia";
static char _ebiosread_string[] = "_ebiosread";
static char _ebioswrite_string[] = "_ebioswrite";
static char _efi_guid_compare_string[] = "_efi_guid_compare";
static char _efi_guid_is_null_string[] = "_efi_guid_is_null";
static char _efi_guid_unparse_upper_string[] = "_efi_guid_unparse_upper";
static char _efi_inject_get_devprop_string_string[] = "_efi_inject_get_devprop_string";
static char _enableA20_string[] = "_enableA20";
static char _enable_pci_devs_string[] = "_enable_pci_devs";
static char _error_string[] = "_error";
static char _execute_hook_string[] = "_execute_hook";
static char _file_size_string[] = "_file_size";
static char _finalizeBootStruct_string[] = "_finalizeBootStruct";
static char _finalizeEFIConfigTable_string[] = "_finalizeEFIConfigTable";
static char _free_string[] = "_free";
static char _freeFilteredBVChain_string[] = "_freeFilteredBVChain";
static char _free_platform_env_string[] = "_free_platform_env";
static char _gAppleBootPictRLE_string[] = "_gAppleBootPictRLE";
static char _gCompareTable_string[] = "_gCompareTable";
static char _gCompareTableCompressed_string[] = "_gCompareTableCompressed";
static char _gEfiAcpi20TableGuid_string[] = "_gEfiAcpi20TableGuid";
static char _gEfiAcpiTableGuid_string[] = "_gEfiAcpiTableGuid";
static char _gEfiConfigurationTable32_string[] = "_gEfiConfigurationTable32";
static char _gEfiConfigurationTable64_string[] = "_gEfiConfigurationTable64";
static char _gEfiConfigurationTableNode_string[] = "_gEfiConfigurationTableNode";
static char _gEfiSmbiosTableGuid_string[] = "_gEfiSmbiosTableGuid";
static char _gLowerCaseTable_string[] = "_gLowerCaseTable";
static char _gLowerCaseTableCompressed_string[] = "_gLowerCaseTableCompressed";
static char _gNumTables32_string[] = "_gNumTables32";
static char _gNumTables64_string[] = "_gNumTables64";
static char _gST32_string[] = "_gST32";
static char _gST64_string[] = "_gST64";
static char _getBVChainForBIOSDev_string[] = "_getBVChainForBIOSDev";
static char _getBoolForKey_string[] = "_getBoolForKey";
static char _getBootArgs_string[] = "_getBootArgs";
static char _getBootOptions_string[] = "_getBootOptions";
static char _getBootVolumeDescription_string[] = "_getBootVolumeDescription";
static char _getBootVolumeRef_string[] = "_getBootVolumeRef";
static char _getBvChain_string[] = "_getBvChain";
static char _getConventionalMemorySize_string[] = "_getConventionalMemorySize";
static char _getCursorPositionAndType_string[] = "_getCursorPositionAndType";
static char _getDeviceDescription_string[] = "_getDeviceDescription";
static char _getExtendedMemorySize_string[] = "_getExtendedMemorySize";
static char _getIntForKey_string[] = "_getIntForKey";
static char _getKernelCachePath_string[] = "_getKernelCachePath";
static char _getMemoryInfoString_string[] = "_getMemoryInfoString";
static char _getMemoryMap_string[] = "_getMemoryMap";
static char _getNextArg_string[] = "_getNextArg";
static char _getPciRootUID_string[] = "_getPciRootUID";
static char _getPlatformName_string[] = "_getPlatformName";
static char _getSmbiosOriginal_string[] = "_getSmbiosOriginal";
static char _getStringForKey_string[] = "_getStringForKey";
static char _getStringFromUUID_string[] = "_getStringFromUUID";
static char _getUUIDFromString_string[] = "_getUUIDFromString";
static char _getVBEInfo_string[] = "_getVBEInfo";
static char _getVBEModeInfo_string[] = "_getVBEModeInfo";
static char _getValueForBootKey_string[] = "_getValueForBootKey";
static char _getValueForConfigTableKey_string[] = "_getValueForConfigTableKey";
static char _getValueForKey_string[] = "_getValueForKey";
static char _getVideoMode_string[] = "_getVideoMode";
static char _getVolumeLabelAlias_string[] = "_getVolumeLabelAlias";
static char _get_callback_string[] = "_get_callback";
static char _get_drive_info_string[] = "_get_drive_info";
static char _get_env_string[] = "_get_env";
static char _get_env_ptr_string[] = "_get_env_ptr";
static char _get_env_var_string[] = "_get_env_var";
static char _get_num_tables_string[] = "_get_num_tables";
static char _get_num_tables64_string[] = "_get_num_tables64";
static char _getc_string[] = "_getc";
static char _getchar_string[] = "_getchar";
static char _gettimeofday_string[] = "_gettimeofday";
static char _halt_string[] = "_halt";
static char _handle_symtable_string[] = "_handle_symtable";
static char _hi_multiboot_string[] = "_hi_multiboot";
static char _initBooterLog_string[] = "_initBooterLog";
static char _initKernBootStruct_string[] = "_initKernBootStruct";
static char _init_ut_fnc_string[] = "_init_ut_fnc";
static char _initialize_runtime_string[] = "_initialize_runtime";
static char _iob_from_fdesc_string[] = "_iob_from_fdesc";
static char _is_no_emulation_string[] = "_is_no_emulation";
static char _jump_to_chainbooter_string[] = "_jump_to_chainbooter";
static char _loadBooterConfig_string[] = "_loadBooterConfig";
static char _loadConfigFile_string[] = "_loadConfigFile";
static char _loadOverrideConfig_string[] = "_loadOverrideConfig";
static char _loadSystemConfig_string[] = "_loadSystemConfig";
static char _localVPrintf_string[] = "_localVPrintf";
static char _longjmp_string[] = "_longjmp";
static char _lookup_all_symbols_string[] = "_lookup_all_symbols";
static char _lookup_symbol_string[] = "_lookup_symbol";
static char _lspci_string[] = "_lspci";
static char _malloc_string[] = "_malloc";
static char _malloc_init_string[] = "_malloc_init";
static char _matchVolumeToString_string[] = "_matchVolumeToString";
static char _memcmp_string[] = "_memcmp";
static char _memcpy_string[] = "_memcpy";
static char _memmove_string[] = "_memmove";
static char _memset_string[] = "_memset";
static char _moduleCallbacks_string[] = "_moduleCallbacks";
static char _moduleSymbols_string[] = "_moduleSymbols";
static char _msglog_string[] = "_msglog";
static char _multiboot_to_boot_string[] = "_multiboot_to_boot";
static char _newEmptyStringWithLength_string[] = "_newEmptyStringWithLength";
static char _newFilteredBVChain_string[] = "_newFilteredBVChain";
static char _newGPTBVRef_string[] = "_newGPTBVRef";
static char _newString_string[] = "_newString";
static char _newStringForKey_string[] = "_newStringForKey";
static char _newStringWithFormat_string[] = "_newStringWithFormat";
static char _newStringWithLength_string[] = "_newStringWithLength";
static char _open_string[] = "_open";
static char _open_bvdev_string[] = "_open_bvdev";
static char _parse_mach_string[] = "_parse_mach";
static char _pause_string[] = "_pause";
static char _pci_config_read16_string[] = "_pci_config_read16";
static char _pci_config_read32_string[] = "_pci_config_read32";
static char _pci_config_read8_string[] = "_pci_config_read8";
static char _pci_config_write16_string[] = "_pci_config_write16";
static char _pci_config_write32_string[] = "_pci_config_write32";
static char _pci_config_write8_string[] = "_pci_config_write8";
static char _platform_env_string[] = "_platform_env";
static char _prf_string[] = "_prf";
static char _printMemoryInfo_string[] = "_printMemoryInfo";
static char _printf_string[] = "_printf";
static char _processBootOptions_string[] = "_processBootOptions";
static char _promptForRescanOption_string[] = "_promptForRescanOption";
static char _putc_string[] = "_putc";
static char _putca_string[] = "_putca";
static char _putchar_string[] = "_putchar";
static char _re_set_env_string[] = "_re_set_env";
static char _re_set_env_copy_string[] = "_re_set_env_copy";
static char _read_string[] = "_read";
static char _readBootSector_string[] = "_readBootSector";
static char _readDefaultPlatformName_string[] = "_readDefaultPlatformName";
static char _readKeyboardShiftFlags_string[] = "_readKeyboardShiftFlags";
static char _readKeyboardStatus_string[] = "_readKeyboardStatus";
static char _readSMBIOS_string[] = "_readSMBIOS";
static char _realloc_string[] = "_realloc";
static char _reallyVPrint_string[] = "_reallyVPrint";
static char _rebase_location_string[] = "_rebase_location";
static char _rebase_macho_string[] = "_rebase_macho";
static char _register_hook_callback_string[] = "_register_hook_callback";
static char _replace_function_string[] = "_replace_function";
static char _replace_function_any_string[] = "_replace_function_any";
static char _replace_system_function_string[] = "_replace_system_function";
static char _rescanBIOSDevice_string[] = "_rescanBIOSDevice";
static char _reserveKernBootStruct_string[] = "_reserveKernBootStruct";
static char _reserveKernLegacyBootStruct_string[] = "_reserveKernLegacyBootStruct";
static char _resolveConfig_string[] = "_resolveConfig";
static char _root_pci_dev_string[] = "_root_pci_dev";
static char _rtc_read_clock_string[] = "_rtc_read_clock";
static char _safe_set_env_string[] = "_safe_set_env";
static char _safe_set_env_copy_string[] = "_safe_set_env_copy";
static char _scanBootVolumes_string[] = "_scanBootVolumes";
static char _scanDisks_string[] = "_scanDisks";
static char _scan_cpu_string[] = "_scan_cpu";
static char _scan_pci_bus_string[] = "_scan_pci_bus";
static char _scan_platform_string[] = "_scan_platform";
static char _scollPage_string[] = "_scollPage";
static char _selectBootVolume_string[] = "_selectBootVolume";
static char _setActiveDisplayPage_string[] = "_setActiveDisplayPage";
static char _setBootArgsVideoMode_string[] = "_setBootArgsVideoMode";
static char _setBootArgsVideoStruct_string[] = "_setBootArgsVideoStruct";
static char _setBootGlobals_string[] = "_setBootGlobals";
static char _setCursorPosition_string[] = "_setCursorPosition";
static char _setCursorType_string[] = "_setCursorType";
static char _setRootVolume_string[] = "_setRootVolume";
static char _setVBEMode_string[] = "_setVBEMode";
static char _setVBEPalette_string[] = "_setVBEPalette";
static char _set_env_string[] = "_set_env";
static char _set_env_copy_string[] = "_set_env_copy";
static char _setjmp_string[] = "_setjmp";
static char _setupBooterLog_string[] = "_setupBooterLog";
static char _setupDeviceProperties_string[] = "_setupDeviceProperties";
static char _setupFakeEfi_string[] = "_setupFakeEfi";
static char _setupSmbiosConfigFile_string[] = "_setupSmbiosConfigFile";
static char _setup_acpi_string[] = "_setup_acpi";
static char _setup_pci_devs_string[] = "_setup_pci_devs";
static char _showError_string[] = "_showError";
static char _showHelp_string[] = "_showHelp";
static char _showMessage_string[] = "_showMessage";
static char _showTextBuffer_string[] = "_showTextBuffer";
static char _showTextFile_string[] = "_showTextFile";
static char _sleep_string[] = "_sleep";
static char _snprintf_string[] = "_snprintf";
static char _sprintf_string[] = "_sprintf";
static char _startprog_string[] = "_startprog";
static char _stop_string[] = "_stop";
static char _strbreak_string[] = "_strbreak";
static char _strcat_string[] = "_strcat";
static char _strchr_string[] = "_strchr";
static char _strcmp_string[] = "_strcmp";
static char _strcpy_string[] = "_strcpy";
static char _strdup_string[] = "_strdup";
static char _strlcat_string[] = "_strlcat";
static char _strlcpy_string[] = "_strlcpy";
static char _strlen_string[] = "_strlen";
static char _strncat_string[] = "_strncat";
static char _strncmp_string[] = "_strncmp";
static char _strncpy_string[] = "_strncpy";
static char _strstr_string[] = "_strstr";
static char _strtol_string[] = "_strtol";
static char _strtoul_string[] = "_strtoul";
static char _testBiosread_string[] = "_testBiosread";
static char _testFAT32EFIBootSector_string[] = "_testFAT32EFIBootSector";
static char _textAddress_string[] = "_textAddress";
static char _textSection_string[] = "_textSection";
static char _time18_string[] = "_time18";
static char _unset_env_string[] = "_unset_env";
static char _uterror_string[] = "_uterror";
static char _utf_decodestr_string[] = "_utf_decodestr";
static char _utf_encodestr_string[] = "_utf_encodestr";
static char _verbose_string[] = "_verbose";
static char _video_mode_string[] = "_video_mode";
static char _vsnprintf_string[] = "_vsnprintf";
static char _waitThenReload_string[] = "_waitThenReload";
static char _write_string[] = "_write";
static char _zalloced_size_string[] = "_zalloced_size";
static char _zout_string[] = "_zout";
static char boot2_string[] = "boot2";
symbol_t symbolList[] = {
	{.symbol = _AllocateKernelMemory_string, .addr = 0x0002c9b3},
	{.symbol = _AllocateMemoryRange_string, .addr = 0x0002ca2b},
	{.symbol = _BeFSGetDescription_string, .addr = 0x0002fa69},
	{.symbol = _BeFSProbe_string, .addr = 0x0002fa50},
	{.symbol = _BinaryUnicodeCompare_string, .addr = 0x00033f5b},
	{.symbol = _CacheInit_string, .addr = 0x0002fc44},
	{.symbol = _CacheRead_string, .addr = 0x0002fb02},
	{.symbol = _CacheReset_string, .addr = 0x0002faf3},
	{.symbol = _CreateUUIDString_string, .addr = 0x000251d6},
	{.symbol = _DT__AddChild_string, .addr = 0x00032fcc},
	{.symbol = _DT__AddProperty_string, .addr = 0x00032d6c},
	{.symbol = _DT__Finalize_string, .addr = 0x00032f2c},
	{.symbol = _DT__FindNode_string, .addr = 0x000330e9},
	{.symbol = _DT__FlattenDeviceTree_string, .addr = 0x00032ebc},
	{.symbol = _DT__FreeNode_string, .addr = 0x00032d23},
	{.symbol = _DT__FreeProperty_string, .addr = 0x00032d0d},
	{.symbol = _DT__GetName_string, .addr = 0x00032d39},
	{.symbol = _DT__Initialize_string, .addr = 0x0003308b},
	{.symbol = _DecodeKernel_string, .addr = 0x00022aba},
	{.symbol = _DecodeMachO_string, .addr = 0x0002ca75},
	{.symbol = _EX2GetDescription_string, .addr = 0x0002fd19},
	{.symbol = _EX2Probe_string, .addr = 0x0002fd00},
	{.symbol = _EXFATGetDescription_string, .addr = 0x000343e6},
	{.symbol = _EXFATGetUUID_string, .addr = 0x00034373},
	{.symbol = _EXFATProbe_string, .addr = 0x00034350},
	{.symbol = _FastRelString_string, .addr = 0x00034075},
	{.symbol = _FastUnicodeCompare_string, .addr = 0x000340f5},
	{.symbol = _FileLoadBundles_string, .addr = 0x00026e73},
	{.symbol = _FileLoadDrivers_string, .addr = 0x00022665},
	{.symbol = _FindAcpiTables_string, .addr = 0x00033351},
	{.symbol = _FreeBSDGetDescription_string, .addr = 0x0002fdc6},
	{.symbol = _FreeBSDProbe_string, .addr = 0x0002fdad},
	{.symbol = _GPT_BASICDATA2_GUID_string, .addr = 0x000397dc},
	{.symbol = _GPT_BASICDATA_GUID_string, .addr = 0x000397cc},
	{.symbol = _GPT_BOOT_GUID_string, .addr = 0x000397ac},
	{.symbol = _GPT_EFISYS_GUID_string, .addr = 0x000397bc},
	{.symbol = _GPT_HFS_GUID_string, .addr = 0x0003979c},
	{.symbol = _Gdt_string, .addr = 0x000204bc},
	{.symbol = _Gdtr_string, .addr = 0x000204f4},
	{.symbol = _GetBundleDict_string, .addr = 0x00026625},
	{.symbol = _GetBundlePath_string, .addr = 0x000265f5},
	{.symbol = _GetBundlePersonality_string, .addr = 0x0002660d},
	{.symbol = _GetChecksum_string, .addr = 0x00033235},
	{.symbol = _GetDirEntry_string, .addr = 0x00024e23},
	{.symbol = _GetFileInfo_string, .addr = 0x00025111},
	{.symbol = _GetgPlatformName_string, .addr = 0x00025512},
	{.symbol = _GetgRootDevice_string, .addr = 0x00025526},
	{.symbol = _Getgboardproduct_string, .addr = 0x0002551c},
	{.symbol = _HFSFree_string, .addr = 0x00030027},
	{.symbol = _HFSGetDescription_string, .addr = 0x0003133f},
	{.symbol = _HFSGetDirEntry_string, .addr = 0x00031034},
	{.symbol = _HFSGetFileBlock_string, .addr = 0x000313f1},
	{.symbol = _HFSGetUUID_string, .addr = 0x00030fff},
	{.symbol = _HFSInitPartition_string, .addr = 0x00030cb9},
	{.symbol = _HFSLoadFile_string, .addr = 0x000312ec},
	{.symbol = _HFSProbe_string, .addr = 0x0003130f},
	{.symbol = _HFSReadFile_string, .addr = 0x00031123},
	{.symbol = _Idtr_prot_string, .addr = 0x00020504},
	{.symbol = _Idtr_real_string, .addr = 0x000204fc},
	{.symbol = _InitBootPrompt_string, .addr = 0x00022c53},
	{.symbol = _InitBundleSupport_string, .addr = 0x00026a21},
	{.symbol = _InitDriverSupport_string, .addr = 0x000227cd},
	{.symbol = _LoadBundlePList_string, .addr = 0x00026b09},
	{.symbol = _LoadBundles_string, .addr = 0x0002780b},
	{.symbol = _LoadDriverMKext_string, .addr = 0x000221e6},
	{.symbol = _LoadDriverPList_string, .addr = 0x000222a8},
	{.symbol = _LoadDrivers_string, .addr = 0x000228ce},
	{.symbol = _LoadFile_string, .addr = 0x00024e5e},
	{.symbol = _LoadMatchedBundles_string, .addr = 0x0002768b},
	{.symbol = _LoadMatchedModules_string, .addr = 0x00022074},
	{.symbol = _LoadThinFatFile_string, .addr = 0x000252ba},
	{.symbol = _LoadVolumeFile_string, .addr = 0x00024b03},
	{.symbol = _MD5Final_string, .addr = 0x0002eb50},
	{.symbol = _MD5Init_string, .addr = 0x0002e397},
	{.symbol = _MD5Update_string, .addr = 0x0002ea6c},
	{.symbol = _MSDOSFree_string, .addr = 0x000314cf},
	{.symbol = _MSDOSGetDescription_string, .addr = 0x0003270f},
	{.symbol = _MSDOSGetDirEntry_string, .addr = 0x00032281},
	{.symbol = _MSDOSGetFileBlock_string, .addr = 0x00032598},
	{.symbol = _MSDOSGetUUID_string, .addr = 0x00031f03},
	{.symbol = _MSDOSInitPartition_string, .addr = 0x00031d2d},
	{.symbol = _MSDOSLoadFile_string, .addr = 0x000321bf},
	{.symbol = _MSDOSProbe_string, .addr = 0x000321e2},
	{.symbol = _MSDOSReadFile_string, .addr = 0x00031f93},
	{.symbol = _MatchBundlesLibraries_string, .addr = 0x000266f0},
	{.symbol = _MatchLibraries_string, .addr = 0x00021fda},
	{.symbol = _NTFSGetDescription_string, .addr = 0x00032989},
	{.symbol = _NTFSGetUUID_string, .addr = 0x000328f5},
	{.symbol = _NTFSProbe_string, .addr = 0x000328c4},
	{.symbol = _OpenBSDGetDescription_string, .addr = 0x00032c79},
	{.symbol = _OpenBSDProbe_string, .addr = 0x00032c60},
	{.symbol = _ParseXMLFile_string, .addr = 0x0002b014},
	{.symbol = _Register_Acpi_Efi_string, .addr = 0x0002ae58},
	{.symbol = _Register_Smbios_Efi_string, .addr = 0x00029f9f},
	{.symbol = _SetgPlatformName_string, .addr = 0x00025505},
	{.symbol = _SetgRootDevice_string, .addr = 0x000254eb},
	{.symbol = _Setgboardproduct_string, .addr = 0x000254f8},
	{.symbol = _ThinFatFile_string, .addr = 0x0002cdae},
	{.symbol = _XMLCastArray_string, .addr = 0x0002cff8},
	{.symbol = _XMLCastBoolean_string, .addr = 0x0002d065},
	{.symbol = _XMLCastDict_string, .addr = 0x0002d011},
	{.symbol = _XMLCastInteger_string, .addr = 0x0002d07b},
	{.symbol = _XMLCastString_string, .addr = 0x0002d02a},
	{.symbol = _XMLCastStringOffset_string, .addr = 0x0002d047},
	{.symbol = _XMLDecode_string, .addr = 0x0002d4be},
	{.symbol = _XMLFreeTag_string, .addr = 0x0002d0a0},
	{.symbol = _XMLGetElement_string, .addr = 0x0002cefe},
	{.symbol = _XMLGetProperty_string, .addr = 0x0002d1a3},
	{.symbol = _XMLIsType_string, .addr = 0x0002cfdd},
	{.symbol = _XMLParseFile_string, .addr = 0x0002dec4},
	{.symbol = _XMLParseNextTag_string, .addr = 0x0002d76e},
	{.symbol = _XMLTagCount_string, .addr = 0x0002ce64},
	{.symbol = __DATA__bss__begin_string, .addr = 0x0003a860},
	{.symbol = __DATA__bss__end_string, .addr = 0x0003c184},
	{.symbol = __DATA__common__begin_string, .addr = 0x0003c190},
	{.symbol = __DATA__common__end_string, .addr = 0x0003c3c0},
	{.symbol = ___bzero_string, .addr = 0x00034a97},
	{.symbol = ___convertImage_string, .addr = 0x00021eb8},
	{.symbol = ___decodeRLE_string, .addr = 0x000217ab},
	{.symbol = ___divdi3_string, .addr = 0x00035fc3},
	{.symbol = ___doprnt_string, .addr = 0x0003512a},
	{.symbol = ___drawColorRectangle_string, .addr = 0x00021d6e},
	{.symbol = ___drawDataRectangle_string, .addr = 0x000216ff},
	{.symbol = ___getNumberArrayFromProperty_string, .addr = 0x00021692},
	{.symbol = ___getVESAModeWithProperties_string, .addr = 0x000217f8},
	{.symbol = ___moddi3_string, .addr = 0x00036031},
	{.symbol = ___qdivrem_string, .addr = 0x000360a2},
	{.symbol = ___setVESAGraphicsMode_string, .addr = 0x00021a54},
	{.symbol = ___setVideoMode_string, .addr = 0x00021bad},
	{.symbol = ___udivdi3_string, .addr = 0x00035e92},
	{.symbol = ___umoddi3_string, .addr = 0x00035eaa},
	{.symbol = __bp_string, .addr = 0x000203aa},
	{.symbol = __doprnt_truncates_string, .addr = 0x0003a85c},
	{.symbol = __hi_malloc_string, .addr = 0x000246a1},
	{.symbol = __hi_strdup_string, .addr = 0x000246b2},
	{.symbol = __prot_to_real_string, .addr = 0x0002032d},
	{.symbol = __real_to_prot_string, .addr = 0x000202df},
	{.symbol = __sp_string, .addr = 0x000203a7},
	{.symbol = __switch_stack_string, .addr = 0x000203ad},
	{.symbol = _addBootArg_string, .addr = 0x00023853},
	{.symbol = _addConfigurationTable_string, .addr = 0x0002a201},
	{.symbol = _add_symbol_string, .addr = 0x000269d4},
	{.symbol = _adler32_string, .addr = 0x000347d1},
	{.symbol = _arc4_init_string, .addr = 0x00027970},
	{.symbol = _arc4random_string, .addr = 0x00027ba9},
	{.symbol = _arc4random_addrandom_string, .addr = 0x00027a78},
	{.symbol = _arc4random_buf_string, .addr = 0x00027b06},
	{.symbol = _arc4random_stir_string, .addr = 0x00027a6f},
	{.symbol = _arc4random_uniform_string, .addr = 0x00027d19},
	{.symbol = _atoi_string, .addr = 0x00034708},
	{.symbol = _bcopy_string, .addr = 0x00035028},
	{.symbol = _bcopy16_string, .addr = 0x00035008},
	{.symbol = _bcopy_no_overwrite_string, .addr = 0x00034ff9},
	{.symbol = _bgetc_string, .addr = 0x0002c7ad},
	{.symbol = _bind_location_string, .addr = 0x0002658e},
	{.symbol = _bind_macho_string, .addr = 0x000270f9},
	{.symbol = _bios_string, .addr = 0x000203dd},
	{.symbol = _biosDevIsCDROM_string, .addr = 0x00027e71},
	{.symbol = _biosread_string, .addr = 0x0002c25e},
	{.symbol = _boot_string, .addr = 0x00021659},
	{.symbol = _bootArgs_string, .addr = 0x0003a3ac},
	{.symbol = _bootArgsLegacy_string, .addr = 0x0003a3a8},
	{.symbol = _bootInfo_string, .addr = 0x0003a3b0},
	{.symbol = _bsearch_string, .addr = 0x0003486f},
	{.symbol = _build_pci_dt_string, .addr = 0x0002e318},
	{.symbol = _bzero_string, .addr = 0x00034a97},
	{.symbol = _chainLoad_string, .addr = 0x000249b2},
	{.symbol = _chainbootdev_string, .addr = 0x000204b0},
	{.symbol = _chainbootflag_string, .addr = 0x000204b1},
	{.symbol = _checksum8_string, .addr = 0x000347b7},
	{.symbol = _clearBootArgs_string, .addr = 0x000238ab},
	{.symbol = _clearScreenRows_string, .addr = 0x0002bf22},
	{.symbol = _close_string, .addr = 0x00024a5a},
	{.symbol = _common_boot_string, .addr = 0x000209c5},
	{.symbol = _continue_at_low_address_string, .addr = 0x000202b4},
	{.symbol = _convertHexStr2Binary_string, .addr = 0x00033567},
	{.symbol = _copyArgument_string, .addr = 0x00023070},
	{.symbol = _copyMultibootInfo_string, .addr = 0x00024738},
	{.symbol = _crc32_string, .addr = 0x00035ecd},
	{.symbol = _debug_putc_string, .addr = 0x0002b93e},
	{.symbol = _decompress_lzss_string, .addr = 0x0002df45},
	{.symbol = _delay_string, .addr = 0x0002be6a},
	{.symbol = _determine_safe_hi_addr_string, .addr = 0x00024612},
	{.symbol = _devprop_add_device_string, .addr = 0x00033c23},
	{.symbol = _devprop_add_value_string, .addr = 0x000339e7},
	{.symbol = _devprop_create_string_string, .addr = 0x000339b2},
	{.symbol = _devprop_free_string_string, .addr = 0x00033791},
	{.symbol = _devprop_generate_string_string, .addr = 0x000337f9},
	{.symbol = _devprop_make_device_string, .addr = 0x00033b21},
	{.symbol = _diskFreeMap_string, .addr = 0x00027ef0},
	{.symbol = _diskIsCDROM_string, .addr = 0x00027e95},
	{.symbol = _diskRead_string, .addr = 0x000289b8},
	{.symbol = _diskResetBootVolumes_string, .addr = 0x00028474},
	{.symbol = _diskScanBootVolumes_string, .addr = 0x00028cd2},
	{.symbol = _diskSeek_string, .addr = 0x00027d73},
	{.symbol = _dump_pci_dt_string, .addr = 0x0002e121},
	{.symbol = _ebiosEjectMedia_string, .addr = 0x0002bfed},
	{.symbol = _ebiosread_string, .addr = 0x0002c18b},
	{.symbol = _ebioswrite_string, .addr = 0x0002c09a},
	{.symbol = _efi_guid_compare_string, .addr = 0x00035f26},
	{.symbol = _efi_guid_is_null_string, .addr = 0x00035efe},
	{.symbol = _efi_guid_unparse_upper_string, .addr = 0x00035f77},
	{.symbol = _efi_inject_get_devprop_string_string, .addr = 0x00033ca9},
	{.symbol = _enableA20_string, .addr = 0x00029f35},
	{.symbol = _enable_pci_devs_string, .addr = 0x0002e0f2},
	{.symbol = _error_string, .addr = 0x0002bb43},
	{.symbol = _execute_hook_string, .addr = 0x000278fc},
	{.symbol = _file_size_string, .addr = 0x00025466},
	{.symbol = _finalizeBootStruct_string, .addr = 0x000299a4},
	{.symbol = _finalizeEFIConfigTable_string, .addr = 0x0002a00a},
	{.symbol = _free_string, .addr = 0x00034c25},
	{.symbol = _freeFilteredBVChain_string, .addr = 0x00027ebc},
	{.symbol = _free_platform_env_string, .addr = 0x0002557e},
	{.symbol = _gAppleBootPictRLE_string, .addr = 0x00038ed4},
	{.symbol = _gCompareTable_string, .addr = 0x0003c3b0},
	{.symbol = _gCompareTableCompressed_string, .addr = 0x0003a758},
	{.symbol = _gEfiAcpi20TableGuid_string, .addr = 0x0003a3d4},
	{.symbol = _gEfiAcpiTableGuid_string, .addr = 0x0003a3c4},
	{.symbol = _gEfiConfigurationTable32_string, .addr = 0x0003c1f0},
	{.symbol = _gEfiConfigurationTable64_string, .addr = 0x0003c2c0},
	{.symbol = _gEfiConfigurationTableNode_string, .addr = 0x0003a3c0},
	{.symbol = _gEfiSmbiosTableGuid_string, .addr = 0x0003991c},
	{.symbol = _gLowerCaseTable_string, .addr = 0x0003c3b4},
	{.symbol = _gLowerCaseTableCompressed_string, .addr = 0x0003a480},
	{.symbol = _gNumTables32_string, .addr = 0x0003a3e4},
	{.symbol = _gNumTables64_string, .addr = 0x0003a3e8},
	{.symbol = _gST32_string, .addr = 0x0003a3b8},
	{.symbol = _gST64_string, .addr = 0x0003a3bc},
	{.symbol = _getBVChainForBIOSDev_string, .addr = 0x00027d54},
	{.symbol = _getBoolForKey_string, .addr = 0x0002b718},
	{.symbol = _getBootArgs_string, .addr = 0x0002999a},
	{.symbol = _getBootOptions_string, .addr = 0x0002396d},
	{.symbol = _getBootVolumeDescription_string, .addr = 0x00028115},
	{.symbol = _getBootVolumeRef_string, .addr = 0x00024d19},
	{.symbol = _getBvChain_string, .addr = 0x00020540},
	{.symbol = _getConventionalMemorySize_string, .addr = 0x0002c337},
	{.symbol = _getCursorPositionAndType_string, .addr = 0x0002bf45},
	{.symbol = _getDeviceDescription_string, .addr = 0x00024aa4},
	{.symbol = _getExtendedMemorySize_string, .addr = 0x0002c357},
	{.symbol = _getIntForKey_string, .addr = 0x0002b62e},
	{.symbol = _getKernelCachePath_string, .addr = 0x000205fb},
	{.symbol = _getMemoryInfoString_string, .addr = 0x00022f7a},
	{.symbol = _getMemoryMap_string, .addr = 0x0002c61a},
	{.symbol = _getNextArg_string, .addr = 0x0002af61},
	{.symbol = _getPciRootUID_string, .addr = 0x00034520},
	{.symbol = _getPlatformName_string, .addr = 0x00029f21},
	{.symbol = _getSmbiosOriginal_string, .addr = 0x0002bc4f},
	{.symbol = _getStringForKey_string, .addr = 0x0002b7be},
	{.symbol = _getStringFromUUID_string, .addr = 0x0003371a},
	{.symbol = _getUUIDFromString_string, .addr = 0x00033647},
	{.symbol = _getVBEInfo_string, .addr = 0x0002c972},
	{.symbol = _getVBEModeInfo_string, .addr = 0x0002c928},
	{.symbol = _getValueForBootKey_string, .addr = 0x0002b395},
	{.symbol = _getValueForConfigTableKey_string, .addr = 0x0002b43c},
	{.symbol = _getValueForKey_string, .addr = 0x0002b4f1},
	{.symbol = _getVideoMode_string, .addr = 0x0002992f},
	{.symbol = _getVolumeLabelAlias_string, .addr = 0x0002802c},
	{.symbol = _get_callback_string, .addr = 0x000266c2},
	{.symbol = _get_drive_info_string, .addr = 0x0002c4dd},
	{.symbol = _get_env_string, .addr = 0x00025b72},
	{.symbol = _get_env_ptr_string, .addr = 0x00025b00},
	{.symbol = _get_env_var_string, .addr = 0x00025b35},
	{.symbol = _get_num_tables_string, .addr = 0x000331bb},
	{.symbol = _get_num_tables64_string, .addr = 0x000331cc},
	{.symbol = _getc_string, .addr = 0x0002ba06},
	{.symbol = _getchar_string, .addr = 0x0002bc12},
	{.symbol = _gettimeofday_string, .addr = 0x0002f8ca},
	{.symbol = _halt_string, .addr = 0x00020383},
	{.symbol = _handle_symtable_string, .addr = 0x00026f9e},
	{.symbol = _hi_multiboot_string, .addr = 0x0002486e},
	{.symbol = _initBooterLog_string, .addr = 0x0002babd},
	{.symbol = _initKernBootStruct_string, .addr = 0x00029da1},
	{.symbol = _init_ut_fnc_string, .addr = 0x0002bc4a},
	{.symbol = _initialize_runtime_string, .addr = 0x00021617},
	{.symbol = _iob_from_fdesc_string, .addr = 0x00024a37},
	{.symbol = _is_no_emulation_string, .addr = 0x0002c45e},
	{.symbol = _jump_to_chainbooter_string, .addr = 0x000202ca},
	{.symbol = _loadBooterConfig_string, .addr = 0x0002b204},
	{.symbol = _loadConfigFile_string, .addr = 0x0002b2c5},
	{.symbol = _loadOverrideConfig_string, .addr = 0x0002b154},
	{.symbol = _loadSystemConfig_string, .addr = 0x0002b09f},
	{.symbol = _localVPrintf_string, .addr = 0x0002b9a6},
	{.symbol = _longjmp_string, .addr = 0x00035e74},
	{.symbol = _lookup_all_symbols_string, .addr = 0x0002663d},
	{.symbol = _lookup_symbol_string, .addr = 0x0003a290},
	{.symbol = _lspci_string, .addr = 0x00023728},
	{.symbol = _malloc_string, .addr = 0x00034f82},
	{.symbol = _malloc_init_string, .addr = 0x00034ab9},
	{.symbol = _matchVolumeToString_string, .addr = 0x00027f22},
	{.symbol = _memcmp_string, .addr = 0x0003483c},
	{.symbol = _memcpy_string, .addr = 0x00034fd7},
	{.symbol = _memmove_string, .addr = 0x000348f9},
	{.symbol = _memset_string, .addr = 0x00034a6a},
	{.symbol = _moduleCallbacks_string, .addr = 0x0003a288},
	{.symbol = _moduleSymbols_string, .addr = 0x0003a28c},
	{.symbol = _msglog_string, .addr = 0x0002bbe2},
	{.symbol = _multiboot_to_boot_string, .addr = 0x000249f7},
	{.symbol = _newEmptyStringWithLength_string, .addr = 0x0002b925},
	{.symbol = _newFilteredBVChain_string, .addr = 0x0002822e},
	{.symbol = _newGPTBVRef_string, .addr = 0x00028abc},
	{.symbol = _newString_string, .addr = 0x0002b8fa},
	{.symbol = _newStringForKey_string, .addr = 0x0002b84f},
	{.symbol = _newStringWithFormat_string, .addr = 0x0002b9bb},
	{.symbol = _newStringWithLength_string, .addr = 0x0002affc},
	{.symbol = _open_string, .addr = 0x00024fd1},
	{.symbol = _open_bvdev_string, .addr = 0x00024ffa},
	{.symbol = _parse_mach_string, .addr = 0x00027446},
	{.symbol = _pause_string, .addr = 0x0002bbfe},
	{.symbol = _pci_config_read16_string, .addr = 0x0002e080},
	{.symbol = _pci_config_read32_string, .addr = 0x0002e0ab},
	{.symbol = _pci_config_read8_string, .addr = 0x0002e056},
	{.symbol = _pci_config_write16_string, .addr = 0x0002e0c3},
	{.symbol = _pci_config_write32_string, .addr = 0x0002e2fd},
	{.symbol = _pci_config_write8_string, .addr = 0x0002e2cf},
	{.symbol = _platform_env_string, .addr = 0x0003a274},
	{.symbol = _prf_string, .addr = 0x00035b14},
	{.symbol = _printMemoryInfo_string, .addr = 0x00023782},
	{.symbol = _printf_string, .addr = 0x0002baa2},
	{.symbol = _processBootOptions_string, .addr = 0x000230f7},
	{.symbol = _promptForRescanOption_string, .addr = 0x00022c94},
	{.symbol = _putc_string, .addr = 0x0002c063},
	{.symbol = _putca_string, .addr = 0x0002c023},
	{.symbol = _putchar_string, .addr = 0x0002ba1d},
	{.symbol = _re_set_env_string, .addr = 0x00025ac3},
	{.symbol = _re_set_env_copy_string, .addr = 0x000262c9},
	{.symbol = _read_string, .addr = 0x000253a8},
	{.symbol = _readBootSector_string, .addr = 0x00028a5f},
	{.symbol = _readDefaultPlatformName_string, .addr = 0x0002bdf0},
	{.symbol = _readKeyboardShiftFlags_string, .addr = 0x0002c404},
	{.symbol = _readKeyboardStatus_string, .addr = 0x0002c42b},
	{.symbol = _readSMBIOS_string, .addr = 0x0002bccf},
	{.symbol = _realloc_string, .addr = 0x00034f96},
	{.symbol = _reallyVPrint_string, .addr = 0x0002b965},
	{.symbol = _rebase_location_string, .addr = 0x00026578},
	{.symbol = _rebase_macho_string, .addr = 0x00026309},
	{.symbol = _register_hook_callback_string, .addr = 0x00027864},
	{.symbol = _replace_function_string, .addr = 0x00026967},
	{.symbol = _replace_function_any_string, .addr = 0x000269ad},
	{.symbol = _replace_system_function_string, .addr = 0x000269bf},
	{.symbol = _rescanBIOSDevice_string, .addr = 0x000284db},
	{.symbol = _reserveKernBootStruct_string, .addr = 0x00029d74},
	{.symbol = _reserveKernLegacyBootStruct_string, .addr = 0x00029bb1},
	{.symbol = _resolveConfig_string, .addr = 0x0002aeff},
	{.symbol = _root_pci_dev_string, .addr = 0x0003c190},
	{.symbol = _rtc_read_clock_string, .addr = 0x00033d6a},
	{.symbol = _safe_set_env_string, .addr = 0x0002628b},
	{.symbol = _safe_set_env_copy_string, .addr = 0x000262b2},
	{.symbol = _scanBootVolumes_string, .addr = 0x00024c67},
	{.symbol = _scanDisks_string, .addr = 0x00024e8a},
	{.symbol = _scan_cpu_string, .addr = 0x0002ebbe},
	{.symbol = _scan_pci_bus_string, .addr = 0x0002e1a6},
	{.symbol = _scan_platform_string, .addr = 0x00025530},
	{.symbol = _scollPage_string, .addr = 0x0002bec9},
	{.symbol = _selectBootVolume_string, .addr = 0x00024b33},
	{.symbol = _setActiveDisplayPage_string, .addr = 0x0002bea0},
	{.symbol = _setBootArgsVideoMode_string, .addr = 0x0002991c},
	{.symbol = _setBootArgsVideoStruct_string, .addr = 0x0002993f},
	{.symbol = _setBootGlobals_string, .addr = 0x0002548c},
	{.symbol = _setCursorPosition_string, .addr = 0x0002bfb4},
	{.symbol = _setCursorType_string, .addr = 0x0002bf8a},
	{.symbol = _setRootVolume_string, .addr = 0x00024a84},
	{.symbol = _setVBEMode_string, .addr = 0x0002c8da},
	{.symbol = _setVBEPalette_string, .addr = 0x0002c880},
	{.symbol = _set_env_string, .addr = 0x0002617f},
	{.symbol = _set_env_copy_string, .addr = 0x00026168},
	{.symbol = _setjmp_string, .addr = 0x00035e5a},
	{.symbol = _setupBooterLog_string, .addr = 0x0002ba5c},
	{.symbol = _setupDeviceProperties_string, .addr = 0x00033ce3},
	{.symbol = _setupFakeEfi_string, .addr = 0x0002a3e0},
	{.symbol = _setupSmbiosConfigFile_string, .addr = 0x0002a12b},
	{.symbol = _setup_acpi_string, .addr = 0x0002a33b},
	{.symbol = _setup_pci_devs_string, .addr = 0x0002e171},
	{.symbol = _showError_string, .addr = 0x0002553e},
	{.symbol = _showHelp_string, .addr = 0x00022eb5},
	{.symbol = _showMessage_string, .addr = 0x00022e99},
	{.symbol = _showTextBuffer_string, .addr = 0x00022cb2},
	{.symbol = _showTextFile_string, .addr = 0x00022e01},
	{.symbol = _sleep_string, .addr = 0x0002c803},
	{.symbol = _snprintf_string, .addr = 0x00035b64},
	{.symbol = _sprintf_string, .addr = 0x00035b2e},
	{.symbol = _startprog_string, .addr = 0x0002038d},
	{.symbol = _stop_string, .addr = 0x0002bb0e},
	{.symbol = _strbreak_string, .addr = 0x00034913},
	{.symbol = _strcat_string, .addr = 0x00034778},
	{.symbol = _strchr_string, .addr = 0x00034798},
	{.symbol = _strcmp_string, .addr = 0x000345ef},
	{.symbol = _strcpy_string, .addr = 0x0003464d},
	{.symbol = _strdup_string, .addr = 0x000348b3},
	{.symbol = _strlcat_string, .addr = 0x000349a6},
	{.symbol = _strlcpy_string, .addr = 0x000346c3},
	{.symbol = _strlen_string, .addr = 0x0003475e},
	{.symbol = _strncat_string, .addr = 0x0003472c},
	{.symbol = _strncmp_string, .addr = 0x00034618},
	{.symbol = _strncpy_string, .addr = 0x00034665},
	{.symbol = _strstr_string, .addr = 0x00034a03},
	{.symbol = _strtol_string, .addr = 0x00035ba9},
	{.symbol = _strtoul_string, .addr = 0x00035d0a},
	{.symbol = _testBiosread_string, .addr = 0x0002990a},
	{.symbol = _testFAT32EFIBootSector_string, .addr = 0x000289e7},
	{.symbol = _textAddress_string, .addr = 0x0003a278},
	{.symbol = _textSection_string, .addr = 0x0003a280},
	{.symbol = _time18_string, .addr = 0x0002c3ca},
	{.symbol = _unset_env_string, .addr = 0x00025aac},
	{.symbol = _uterror_string, .addr = 0x0003c1a0},
	{.symbol = _utf_decodestr_string, .addr = 0x000341c8},
	{.symbol = _utf_encodestr_string, .addr = 0x000342a3},
	{.symbol = _verbose_string, .addr = 0x0002bbab},
	{.symbol = _video_mode_string, .addr = 0x0002c30e},
	{.symbol = _vsnprintf_string, .addr = 0x00035ad7},
	{.symbol = _waitThenReload_string, .addr = 0x000246da},
	{.symbol = _write_string, .addr = 0x00025407},
	{.symbol = _zalloced_size_string, .addr = 0x0003c3b8},
	{.symbol = _zout_string, .addr = 0x0003c3bc},
	{.symbol = boot2_string, .addr = 0x00020200},
};
